Debian Bug report logs - #637378
/usr/include/machine-amd64/reg.h:48:2: error: unknown type name 'register_t'

version graph

Package: kfreebsd-kernel-headers; Maintainer for kfreebsd-kernel-headers is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for kfreebsd-kernel-headers is src:kfreebsd-kernel-headers.

Reported by: "Damien Raude-Morvan" <drazzib@debian.org>

Date: Wed, 10 Aug 2011 18:09:01 UTC

Severity: normal

Found in version kfreebsd-kernel-headers/0.53

Fixed in version kfreebsd-kernel-headers/0.57

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://www.freebsd.org/cgi/query-pr.cgi?pr=159654

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#637378; Package kfreebsd-kernel-headers. (Wed, 10 Aug 2011 18:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Damien Raude-Morvan" <drazzib@debian.org>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 10 Aug 2011 18:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Damien Raude-Morvan" <drazzib@debian.org>
To: submit@bugs.debian.org
Subject: /usr/include/machine-amd64/reg.h:48:2: error: unknown type name 'register_t'
Date: Wed, 10 Aug 2011 20:05:00 +0200
[Message part 1 (text/plain, inline)]
Package: kfreebsd-kernel-headers
Version: 0.53
Severity: normal

Hi,

openjdk-7 currently FTBFS from source with the following error on kfreebsd-
amd64 :
In file included from /usr/include/machine/reg.h:8:0,
[...]
/usr/include/machine-amd64/reg.h:48:2: error: unknown type name 'register_t'
/usr/include/machine-amd64/reg.h:49:2: error: unknown type name 'register_t'
[...]

In /usr/include/machine-amd64/reg.h, CPU's registers are defined like this :
struct reg {
        register_t      r_r15;
        register_t      r_r14;
        register_t      r_r13;
        register_t      r_r12;
        register_t      r_r11;
        register_t      r_r10;
[...]
}
but register_t typedef is not included in reg.h (it's defined in sys/types.h). 
Maybe be /usr/include/machine-amd64/reg.h should include sys/type.h ?

FYI, this work under kfreebsd-i386 because /usr/include/machine-i386/reg.h 
struct use "unsigned int" type for CPU's registers.

Cheers,
-- 
Damien - Debian Developper
http://wiki.debian.org/DamienRaudeMorvan
[signature.asc (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'http://www.freebsd.org/cgi/query-pr.cgi?pr=159654'. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 10 Aug 2011 19:27:02 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 10 Aug 2011 19:42:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#637378; Package kfreebsd-kernel-headers. (Wed, 10 Aug 2011 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 10 Aug 2011 19:45:03 GMT) Full text and rfc822 format available.

Message #14 received at 637378@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Damien Raude-Morvan <drazzib@debian.org>, 637378@bugs.debian.org
Subject: Re: Bug#637378: /usr/include/machine-amd64/reg.h:48:2: error: unknown type name 'register_t'
Date: Wed, 10 Aug 2011 21:41:17 +0200
2011/8/10 Damien Raude-Morvan <drazzib@debian.org>:
> In /usr/include/machine-amd64/reg.h, CPU's registers are defined like this :
> struct reg {
>        register_t      r_r15;
>        register_t      r_r14;
>        register_t      r_r13;
>        register_t      r_r12;
>        register_t      r_r11;
>        register_t      r_r10;
> [...]
> }
> but register_t typedef is not included in reg.h (it's defined in sys/types.h).
> Maybe be /usr/include/machine-amd64/reg.h should include sys/type.h ?

Thanks Damien.  Indeed it should, register_t is in <sys/types.h> on FreeBSD too.

I forwarded this to upstream:

http://www.freebsd.org/cgi/query-pr.cgi?pr=159654

-- 
Robert Millan




Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Wed, 17 Aug 2011 12:36:04 GMT) Full text and rfc822 format available.

Notification sent to "Damien Raude-Morvan" <drazzib@debian.org>:
Bug acknowledged by developer. (Wed, 17 Aug 2011 12:37:17 GMT) Full text and rfc822 format available.

Message #19 received at 637378-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 637378-close@bugs.debian.org
Subject: Bug#637378: fixed in kfreebsd-kernel-headers 0.57
Date: Wed, 17 Aug 2011 12:32:42 +0000
Source: kfreebsd-kernel-headers
Source-Version: 0.57

We believe that the bug you reported is fixed in the latest version of
kfreebsd-kernel-headers, which is due to be installed in the Debian FTP archive:

kfreebsd-kernel-headers_0.57.dsc
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.57.dsc
kfreebsd-kernel-headers_0.57.tar.gz
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.57.tar.gz
kfreebsd-kernel-headers_0.57_kfreebsd-amd64.deb
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.57_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 637378@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated kfreebsd-kernel-headers package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 17 Aug 2011 11:44:04 +0000
Source: kfreebsd-kernel-headers
Binary: kfreebsd-kernel-headers
Architecture: source kfreebsd-amd64
Version: 0.57
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 kfreebsd-kernel-headers - kernel of FreeBSD headers for development
Closes: 637378 637424
Changes: 
 kfreebsd-kernel-headers (0.57) unstable; urgency=low
 .
   * Renable 039_mips_misc.diff.
   * 005_register_t.diff: #include <sys/types.h> in headers that use
     register_t.  (Closes: #637378)
   * 042_sysarch_stubs.diff: Work around missing syscall stubs in libc by
     declaring them as inline functions.  (Closes: #637424)
Checksums-Sha1: 
 28760f14e91bef2b477d9385e8d157cdd5f33686 1141 kfreebsd-kernel-headers_0.57.dsc
 5c06b08ce6244eb41f896bac93fd27d9c69e48aa 40240 kfreebsd-kernel-headers_0.57.tar.gz
 6ac9763a6fb7a5d3e9ccbb1bd4ad902769a2da2c 4101096 kfreebsd-kernel-headers_0.57_kfreebsd-amd64.deb
Checksums-Sha256: 
 cf82d9cf42e76d7f7343435cb339bce59447c09f798e3def9e8cfacb81c11d76 1141 kfreebsd-kernel-headers_0.57.dsc
 bf44f8011d82e9122138db0dd1a93f036584ca25bc41f43dd91a6bb8bda982a8 40240 kfreebsd-kernel-headers_0.57.tar.gz
 eb112d07c7cfe0f40ef61be5b526284a038853a76ec358a045d2f3cb1dfae3c4 4101096 kfreebsd-kernel-headers_0.57_kfreebsd-amd64.deb
Files: 
 ce663c56d03c7ba5af6f3fb66b99735e 1141 kernel standard kfreebsd-kernel-headers_0.57.dsc
 72683b6beff51b8b6097f372330856ba 40240 kernel standard kfreebsd-kernel-headers_0.57.tar.gz
 4cec9c619408455c597d7172200e7316 4101096 kernel standard kfreebsd-kernel-headers_0.57_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk5Lr5EACgkQC19io6rUCv8DGQCfeD8B1CrcvIbQDjo30LCeVzB/
i5YAn3YM9d9eANfJrr6U1Ufmdr625L+F
=bWCk
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 25 Sep 2011 07:37:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:12:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.